Bug 207782 - New port: audio/dsbmixer: Tabbed GTK+ mixer
Summary: New port: audio/dsbmixer: Tabbed GTK+ mixer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2016-03-07 18:02 UTC by Marcel Kaiser
Modified: 2016-03-13 14:50 UTC (History)
1 user (show)

See Also:


Attachments
Shar archived port (2.67 KB, application/x-shar)
2016-03-07 18:02 UTC, Marcel Kaiser
rakuco: maintainer-approval+
Details
Poudriere build log (10.2R, i386) (32.13 KB, text/x-log)
2016-03-07 18:05 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.1R, i386) (32.12 KB, text/plain)
2016-03-07 20:31 UTC, Marcel Kaiser
no flags Details
Poudriere build log (9.3R, i386) (33.30 KB, text/plain)
2016-03-08 10:13 UTC, Marcel Kaiser
no flags Details
Shar archived port, revised (2.18 KB, application/x-shar)
2016-03-13 14:17 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.2R, i386) (32.03 KB, text/plain)
2016-03-13 14:18 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.1R, i386) (32.03 KB, text/plain)
2016-03-13 14:19 UTC, Marcel Kaiser
no flags Details
Poudriere build log (9.3R, i386) (33.21 KB, text/plain)
2016-03-13 14:20 UTC, Marcel Kaiser
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2016-03-07 18:02:41 UTC
Created attachment 167817 [details]
Shar archived port

DSBMixer is a tabbed GTK+ mixer for FreeBSD. For each installed mixer device
as well as for USB sound devices plugged in at runtime, DSBMixer opens a tab.
Furthermore, it allows you to configure several aspects of your sound card(s),
such as selecting recording sources, choosing your default audio device, and
amplification.

WWW: http://freeshell.de/~mk/projects/dsbmixer.html
Comment 1 Marcel Kaiser 2016-03-07 18:05:13 UTC
Created attachment 167818 [details]
Poudriere build log (10.2R, i386)
Comment 2 Marcel Kaiser 2016-03-07 20:31:42 UTC
Created attachment 167821 [details]
Poudriere build log (10.1R, i386)
Comment 3 Marcel Kaiser 2016-03-08 10:13:01 UTC
Created attachment 167833 [details]
Poudriere build log (9.3R, i386)
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-03-13 11:28:51 UTC
Hi,

A few suggestions you can follow to simplify the Makefile:
- There's an NLS description in Mk/bsd.options.desc.mk that can be used so you don't need to set NLS_DESC.
- Instead of including bsd.port.options.mk and checking for the options, you can use the syntax helpers:
    NLS_MAKE_ARGS_OFF=     -DWITHOUT_GETTEXT
    # you can unconditionally set NLS_LANGS
    DEVD_MAKE_ARGS_OFF=    -DWITHOUT_DEVD
- dsbmixer's Makefile already has an install target, so you shouldn't need to define do-install yourself. Since you are also dsbmixer's upstream author, I suggest you just improve its Makefile to support the DESTDIR variable: this would allow `make stage' to work without any changes and everything would work out of the box.
- Speaking of upstream, something you should consider is to ship a separate COPYING or LICENSE file with the license the code is licensed under.
Comment 5 Marcel Kaiser 2016-03-13 14:17:09 UTC
Created attachment 168090 [details]
Shar archived port, revised
Comment 6 Marcel Kaiser 2016-03-13 14:18:25 UTC
Created attachment 168091 [details]
Poudriere build log (10.2R, i386)
Comment 7 Marcel Kaiser 2016-03-13 14:19:19 UTC
Created attachment 168092 [details]
Poudriere build log (10.1R, i386)
Comment 8 Marcel Kaiser 2016-03-13 14:20:39 UTC
Created attachment 168094 [details]
Poudriere build log (9.3R, i386)
Comment 9 commit-hook freebsd_committer 2016-03-13 14:42:02 UTC
A commit references this bug:

Author: rakuco
Date: Sun Mar 13 14:41:45 UTC 2016
New revision: 410972
URL: https://svnweb.freebsd.org/changeset/ports/410972

Log:
  New port: audio/dsbmixer.

  DSBMixer is a tabbed GTK+ mixer for FreeBSD. For each installed mixer device
  as well as for USB sound devices plugged in at runtime, DSBMixer opens a tab.
  Furthermore, it allows you to configure several aspects of your sound card(s),
  such as selecting recording sources, choosing your default audio device, and
  amplification.

  WWW: http://freeshell.de/~mk/projects/dsbmixer.html

  PR:		207782
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org>

Changes:
  head/audio/Makefile
  head/audio/dsbmixer/
  head/audio/dsbmixer/Makefile
  head/audio/dsbmixer/distinfo
  head/audio/dsbmixer/pkg-descr
  head/audio/dsbmixer/pkg-plist
Comment 10 Raphael Kubo da Costa freebsd_committer 2016-03-13 14:42:23 UTC
Committed, thank you!
Comment 11 Marcel Kaiser 2016-03-13 14:50:55 UTC
Excellent! Thank you.